2018-09-26 04:43 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002933FSSCPFREDpublic2013-11-18 19:39
ReporterChris_W 
Assigned ToGoober5000 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformAMD Phenom / HD 6800 / 4GB RAMOSWindowsOS Version7 Home Premium
Product Version3.7.0 
Target VersionFixed in Version 
Summary0002933: Alternate Ship Class breaks mission file on save
DescriptionAs soon as you set ANY ship to have an alternate ship class and save, FRED will add that info to the object data again on each followup save.

Eventually it will be in there too often for FRED or FSO to handle, resulting in crashes and being unable to load the mission ever again.

Seems there is a maximum number of alternate ship class entries too.
Steps To ReproduceStart a new mission in FRED.
Add the ship to Alpha so we can save without warnings.
Setup that ship to have 2 alternate ship choices.
Save and look into the file or into the alternate ship editor.
DO NOT close FRED.

This is how it should look like for Alpha 1 now:

$Name: Alpha 1 ;! Object #0
$Class: Viper Mark VII
;;FSO 3.6.10;; $Alt Ship Class: "Viper Mark VII"
;;FSO 3.6.10;; +Default Class:
;;FSO 3.6.10;; $Alt Ship Class: "Viper Mark VIIe"
$Team: Friendly

..what is just what we wanted.

Save again and look again - the info gets duplicated:

$Name: Alpha 1 ;! Object #0
$Class: Viper Mark VII
;;FSO 3.6.10;; $Alt Ship Class: "Viper Mark VII"
;;FSO 3.6.10;; +Default Class:
;;FSO 3.6.10;; $Alt Ship Class: "Viper Mark VIIe"
;;FSO 3.6.10;; $Alt Ship Class: "Viper Mark VII"
;;FSO 3.6.10;; +Default Class:
;;FSO 3.6.10;; $Alt Ship Class: "Viper Mark VIIe"
$Team: Friendly

..and FRED will not yet tell you something's wrong yet. FSO already can't handle it anymore but won't tell you yet either.
After a couple of saves, both will start complaining about the file being corrupt.
Additional InformationMy original mission was done with 3.6.13 and had 34 AI ships setup as being from one of two classes each, depending on if the player insisted to fly Assault Raptors themselves or not.

The error appeared on the first save in FRED 3.7.0, the mission stopped working with that.

Quote:
Error: Missing required token: [$Team:]. Found [$Alt Ship Class: "Viper Mark VII"] instead.

Of course the Team info is still there, but 8 entries for alternate ship classes starring 2 defaults already confuse FRED.
The error message appears for each ship that was setup like this.

Attached is the result of 2 mission saves of a 3.7.0 new (almost empty) mission.
You can load it, save it, and look at the alternate ship class editor in fred to watch the list grow longer with each save. Let it grow too long and you will run into the error message too.
TagsNo tags attached.
Attached Files
  • ? file icon new2.fs2 (3,717 bytes) 2013-10-13 08:22

-Relationships
+Relationships

-Notes

~0015417

karajorma (administrator)

This is yet another issue caused by fout_version. Since Goober seems to be the only person with a vague clue what that function does, I'm passing it to him.

~0015421

Goober5000 (administrator)

Fix committed to trunk@10116.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2013-10-13 08:22 Chris_W New Issue
2013-10-13 08:22 Chris_W File Added: new2.fs2
2013-10-16 04:33 karajorma Assigned To => karajorma
2013-10-16 04:33 karajorma Status new => assigned
2013-11-18 04:14 karajorma Assigned To karajorma => Goober5000
2013-11-18 04:15 karajorma Note Added: 0015417
2013-11-18 19:39 Goober5000 Changeset attached => fs2open trunk r10116
2013-11-18 19:39 Goober5000 Note Added: 0015421
2013-11-18 19:39 Goober5000 Status assigned => resolved
2013-11-18 19:39 Goober5000 Resolution open => fixed
+Issue History